Gilles' sysadmin & dev blog for Earth Science

Install GAMIT 10.4 on Mac OS X 10.6 Snow Leopard

The latest version of the GAMIT 10.4 branch is much easier to compile on Mac OS X 10.5 and 10.6 then previous versions.

However there’s a minor issue when the install_software doesn’t find the X11 library paths and include headers.

So here is a quick fix:

Tested with gfortran 4.5.1 for Mac OS X 10.6 Snow Leopard. Just download gfortran for your Platform here.

If GAMIT 10.4 fails to build on Mac OS X 10.5 or 10.6 saying that it can’t find the X11 libraries then edit the file install_software and at line 211-218 modify it to read as follows:


if ( $system[1] == "Darwin" ) then
#echo "We found Darwin here!"
set xincpath = /usr/X11/include/X11/
set xlibpath = /usr/X11/lib
else
set xincpath = `find /usr -name Xlib.h -print |& grep -v Permission | awk -F/ '{for (i=2;i< =NF-1;i++) printf "%s","/"$i; printf "\n"}'` >& /dev/null
set xlibpath = `find /usr -name libX11.a -print |& grep -v Permission | awk -F/ '{for (i=2;i< =NF-1;i++) printf "%s","/"$i; printf "\n"}'` >& /dev/null
endif

The relaunch again install_software from your Terminal.app and it should compile.